PWCK(8)

NOM
pwck - Vérifier l'intégrité des fichiers de mots de passe

SYNOPSIS

pwck [options] [passwd [ shadow ]]

DESCRIPTION

The pwck command verifies the integrity of the users and authentication information. It checks that all entries in /etc/passwd and /etc/shadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Voici les vérifications effectuées :

    • nombre correct de champs ;

    • unicité et validité des noms d'utilisateur ;

    • validité des identifiants d'utilisateur et de groupe ;

    • validité du groupe primaire ;

    • validité du répertoire personnel ;

    • validité de l'interpréteur de commandes initial (« login shell »).

shadow checks are enabled when a second file parameter is specified or when /etc/shadow exists on the system.

Ces vérifications sont les suivantes :

    • chaque entrée de passwd a une entrée correspondante dans shadow, et chaque entrée shadow a une entrée passwd correspondante ;

    • les mots de passe sont indiqués dans le fichier des mot de passe cachés ;

    • les entrées de shadow ont le bon nombre de champs ;

    • les entrées de shadow sont uniques dans shadow ;

    • la date du dernier changement de mot de passe n'est pas dans le futur.

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warning and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

OPTIONS

The -r and -s options cannot be combined.

The options which apply to the pwck command are:

--badname
    Allow names that do not conform to standards.

-h, --help
    Afficher un message d'aide et quitter.

-q, --quiet
    Ne signaler que les erreurs. Les avertissements qui ne nécessitent pas une action de la part de l'utilisateur ne seront pas affichés.

-r, --read-only
    Execute the pwck command in read-only mode.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --sort
    Sort entries in /etc/passwd and /etc/shadow by UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

NONEXISTENT (string)
    If a system account intentionally does not have a home directory that exists, this string can be provided in the /etc/passwd entry for the account to indicate this. The result is that pwck will not emit a spurious warning for this account.

PASS_MAX_DAYS (number)
    Nombre maximum de jours de validité d'un mot de passe. Après cette durée, une modification du mot de passe est obligatoire. S'il n'est pas précisé, la valeur de -1 est utilisée (ce qui enlève toute restriction).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, 0 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    Nombre de jours durant lesquels l'utilisateur recevra un avertissement avant que son mot de passe n'arrive en fin de validité. Une valeur négative signifie qu'aucun avertissement n'est donné. S'il n'est pas précisé, aucun avertissement n'est donné.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VALEURS DE RETOUR

The pwck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad password entries

3
    can't open password files

4
    can't lock password files

5
    can't update password files

6
    can't sort password files

VOIR AUSSI

group(5), grpck(8), passwd(5), shadow(5), usermod(8).